AtomShape
Date: 2019-10-22

org.jmol.shape

## Class AtomShape

- java.lang.Object
- - org.jmol.shape.Shape
  - - org.jmol.shape.AtomShape

- Direct Known Subclasses:
    Balls, BioShape, Dots, Ellipsoids, Halos, Labels, Measures, Polyhedra, Stars, Vectors

      public abstract class AtomShape
      extends Shape

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `ac`
    `Atom[]` | `atoms`
    `javajs.util.BS` | `bsSizeDefault`
    `short[]` | `colixes`
    `boolean` | `isActive`
    `short` | `mad`
    `short[]` | `mads`
    `int` | `monomerCount`
    `byte[]` | `paletteIDs`
    `private RadiusData` | `rd`

    - ### Fields inherited from class org.jmol.shape.Shape

      `bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AtomShape()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `checkColixLength(short colix, int n)`
    `java.lang.String` | `getInfoAsString(int i)`
    `java.lang.String` | `getShapeState()`
    `int` | `getSize(int atomIndex)` overridden in Dots, CGOMesh, and AtomShape
    `protected void` | `initModelSet()`
    `void` | `initShape()`
    `void` | `setAtomClickability()`
    `protected void` | `setColixAndPalette(short colix, byte paletteID, int atomIndex)`
    `protected void` | `setPropAS(java.lang.String propertyName, java.lang.Object value, javajs.util.BS bs)`
    `protected void` | `setSize(int size, javajs.util.BS bsSelected)`
    `protected void` | `setSize2(int size, javajs.util.BS bsSelected)`
    `protected void` | `setSizeRD(RadiusData rd, javajs.util.BS bsSelected)`
    `protected void` | `setSizeRD2(int i, RadiusData rd, boolean isVisible)`

    - ### Methods inherited from class org.jmol.shape.Shape

      `appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSizeG, getTranslucentLabel, initializeShape, replaceGroup, setModelSet, setModelVisibilityFlags, setProperty, setPropS, setShapeSizeRD, wasClicked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mad

          public short mad

    - #### mads

          public short[] mads

    - #### colixes

          public short[] colixes

    - #### paletteIDs

          public byte[] paletteIDs

    - #### ac

          public int ac

    - #### atoms

          public Atom[] atoms

    - #### isActive

          public boolean isActive

    - #### monomerCount

          public int monomerCount

    - #### bsSizeDefault

          public javajs.util.BS bsSizeDefault

    - #### rd

          private RadiusData rd

  - ### Constructor Detail

    - #### AtomShape

          public AtomShape()

  - ### Method Detail

    - #### initShape

          public void initShape()

      Specified by:
        `initShape` in class `Shape`

    - #### initModelSet

          protected void initModelSet()

      Overrides:
        `initModelSet` in class `Shape`

    - #### getSize

          public int getSize(int atomIndex)

      Description copied from class: `Shape`
      overridden in Dots, CGOMesh, and AtomShape
      Overrides:
        `getSize` in class `Shape`
      Returns:
        size

    - #### setSize

          protected void setSize(int size,
                                 javajs.util.BS bsSelected)

      Overrides:
        `setSize` in class `Shape`

    - #### setSize2

          protected void setSize2(int size,
                                  javajs.util.BS bsSelected)

    - #### setSizeRD

          protected void setSizeRD(RadiusData rd,
                                   javajs.util.BS bsSelected)

      Overrides:
        `setSizeRD` in class `Shape`

    - #### setSizeRD2

          protected void setSizeRD2(int i,
                                    RadiusData rd,
                                    boolean isVisible)

    - #### setPropAS

          protected void setPropAS(java.lang.String propertyName,
                                   java.lang.Object value,
                                   javajs.util.BS bs)

    - #### checkColixLength

          protected int checkColixLength(short colix,
                                         int n)

    - #### setColixAndPalette

          protected void setColixAndPalette(short colix,
                                            byte paletteID,
                                            int atomIndex)

    - #### setAtomClickability

          public void setAtomClickability()

      Overrides:
        `setAtomClickability` in class `Shape`

    - #### getInfoAsString

          public java.lang.String getInfoAsString(int i)

      Parameters:
        `i` -
      Returns:
        script, but only for Measures

    - #### getShapeState

          public java.lang.String getShapeState()

      Specified by:
        `getShapeState` in class `Shape`